> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Happyhorse Tasks



## OpenAPI

````yaml /openapi/happyhorse.json post /happyhorse/tasks
openapi: 3.0.0
info:
  title: HappyHorse Video
  version: 1.0.0
  description: API reference for HappyHorse Video on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /happyhorse/tasks:
    post:
      summary: Happyhorse Tasks
      operationId: queryHappyhorseTasks
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Happyhorse Tasks Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: Happyhorse Tasks Id
                ids:
                  type: array
                  items:
                    type: string
                  description: Happyhorse Tasks Ids
                action:
                  enum:
                    - retrieve
                    - retrieve_batch
                  type: string
                  default: retrieve
                  description: Happyhorse Tasks Action
              example:
                action: retrieve
                id: task-id
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/HappyhorseTaskRecord'
                  - type: object
                    required:
                      - items
                      - count
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/HappyhorseTaskRecord'
                        description: >-
                          Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Items.9117F6E78Adc
                      count:
                        type: integer
                        minimum: 0
                        description: >-
                          Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Count.C57C0De18D5B
                  - type: object
                    additionalProperties: false
                    description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.2.E254A1A01A8D
              example:
                items: []
                count: 0
          description: Happyhorse Tasks Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Happyhorse Tasks Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Happyhorse Tasks Response 400 Error Message
                      trace_id:
                        type: string
                        description: Happyhorse Tasks Response 400 Trace Id
          description: Happyhorse Tasks Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Happyhorse Tasks Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Happyhorse Tasks Response 401 Error Message
                      trace_id:
                        type: string
                        description: Happyhorse Tasks Response 401 Trace Id
          description: Happyhorse Tasks Response 401
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Happyhorse Tasks Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Happyhorse Tasks Response 500 Error Message
                      trace_id:
                        type: string
                        description: Happyhorse Tasks Response 500 Trace Id
          description: Happyhorse Tasks Response 500
      security:
        - bearerAuth: []
components:
  schemas:
    HappyhorseTaskRecord:
      type: object
      required:
        - id
        - type
        - created_at
        - trace_id
        - request
      properties:
        id:
          type: string
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Id.C1848F578D59
        type:
          type: string
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Type.6Ae88A040627
        trace_id:
          type: string
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Trace Id.53Cb87B09C66
        request:
          $ref: '#/components/schemas/HappyhorseTaskRequestPayload'
        response:
          $ref: '#/components/schemas/HappyhorseTaskResultPayload'
        created_at:
          type: number
          format: double
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Created At.De4F80Edf4Cb
        started_at:
          type: number
          format: double
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Started At.335Cb54356Cf
        finished_at:
          type: number
          format: double
          nullable: true
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Finished At.5250A4E12245
        elapsed:
          type: number
          format: double
          minimum: 0
          nullable: true
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Elapsed.9C4B81Bb2E4B
        user_id:
          type: string
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.User Id.Ccfc2E4F340D
        actor_user_id:
          type: string
          nullable: true
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Actor User Id.8C6Fe4519Af4
        api_id:
          type: string
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Api Id.1F6A309B5Ef1
        application_id:
          type: string
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Application Id.27756B2B02C4
        credential_id:
          type: string
          nullable: true
          description: Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Credential Id.F9C712C41492
        authorization_id:
          type: string
          nullable: true
          description: >-
            Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Authorization
            Id.1800Cb356A32
    HappyhorseTaskRequestPayload:
      type: object
      additionalProperties: true
      description: >-
        Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Happyhorsetaskrequestpayload.C71Ef108691F
    HappyhorseTaskResultPayload:
      type: object
      additionalProperties: true
      description: >-
        Openapi.4Fedc9B245D74E8F8Ce48F00Ae31C78A.Happyhorsetaskresultpayload.34102628A912
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.